> ## Documentation Index
> Fetch the complete documentation index at: https://docs.range.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload a document (PDF, CSV or plain text, max 10 mb)



## OpenAPI

````yaml /api-reference/platform-api.json post /v2/counterparties/{id}/documents
openapi: 3.0.0
info:
  title: Range Platform API
  description: >-
    The Range Platform API for workspace management, counterparties, and
    operational tooling.
  version: 1.7.37
  contact: {}
servers:
  - url: https://api.range.org
    description: Range API Server
security:
  - Authorization: []
  - Authorization: []
tags:
  - name: Address Information
    description: Get information about a crypto address.
  - name: Transfer Enrichments
    description: Attach workspace-scoped notes and categories to transfers.
  - name: Counterparties
    description: Manage external entities, their addresses, bank accounts, and documents.
  - name: Parties
    description: >-
      The workspace entity register: the firm itself, its clients, and its
      counterparties.
paths:
  /v2/counterparties/{id}/documents:
    post:
      tags:
        - Counterparties
      summary: Upload a document (PDF, CSV or plain text, max 10 mb)
      operationId: uploadDocument
      parameters:
        - name: id
          required: true
          in: path
          description: Resource identifier.
          schema:
            example: 550e8400-e29b-41d4-a716-446655440000
            type: string
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/UploadDocumentDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CounterpartyDocumentDto'
components:
  schemas:
    UploadDocumentDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - kyc
            - kyb
            - contract
            - other
            - narrative
            - statement
          example: kyb
          description: Document type
        name:
          type: string
          example: certificate_of_incorporation.pdf
          description: Override file name
      required:
        - type
    CounterpartyDocumentDto:
      type: object
      properties:
        id:
          type: string
          example: doc-001
        name:
          type: string
          example: certificate_of_incorporation.pdf
        type:
          type: string
          example: kyb
          enum:
            - kyc
            - kyb
            - contract
            - other
        mime_type:
          type: string
          example: application/pdf
        size_bytes:
          type: number
          example: 245000
        uploaded_at:
          type: string
          example: '2026-05-10T09:00:00Z'
      required:
        - id
        - name
        - type
        - mime_type
        - size_bytes
        - uploaded_at
  securitySchemes:
    Authorization:
      type: apiKey
      in: header
      name: X-API-KEY
      description: Authorization method required to allow user to access the api endpoints.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.